PKIArchiveControlBuilder (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.cert.crmf

## Class PKIArchiveControlBuilder

- java.lang.Object
- - org.bouncycastle.cert.crmf.PKIArchiveControlBuilder

- Direct Known Subclasses:
    JcaPKIArchiveControlBuilder

      public class PKIArchiveControlBuilder
      extends java.lang.Object

  Builder for a PKIArchiveControl structure.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PKIArchiveControlBuilder(org.bouncycastle.asn1.pkcs.PrivateKeyInfo privateKeyInfo, org.bouncycastle.asn1.x509.GeneralName generalName)` Basic constructor - specify the contents of the PKIArchiveControl structure.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PKIArchiveControlBuilder` | `addRecipientGenerator(RecipientInfoGenerator recipientGen)` Add a recipient generator to this control.
    `PKIArchiveControl` | `build(OutputEncryptor contentEncryptor)` Build the PKIArchiveControl using the passed in encryptor to encrypt its contents.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PKIArchiveControlBuilder

          public PKIArchiveControlBuilder(org.bouncycastle.asn1.pkcs.PrivateKeyInfo privateKeyInfo,
                                  org.bouncycastle.asn1.x509.GeneralName generalName)

      Basic constructor - specify the contents of the PKIArchiveControl structure.
      Parameters:
        `privateKeyInfo` - the private key to be archived.
        `generalName` - the general name to be associated with the private key.

  - ### Method Detail

    - #### addRecipientGenerator

          public PKIArchiveControlBuilder addRecipientGenerator(RecipientInfoGenerator recipientGen)

      Add a recipient generator to this control.
      Parameters:
        `recipientGen` - recipient generator created for a specific recipient.
      Returns:
        this builder object.

    - #### build

          public PKIArchiveControl build(OutputEncryptor contentEncryptor)
                                  throws CMSException

      Build the PKIArchiveControl using the passed in encryptor to encrypt its contents.
      Parameters:
        `contentEncryptor` - a suitable content encryptor.
      Returns:
        a PKIArchiveControl object.
      Throws:
        `CMSException` - in the event the build fails.